Не запускается lua скрипт
Atom Ответить
15.07.2014


Действовал согласно инструкции, все настройки скрипта дефолтные.
При загрузке скрипта в Квик вылетает следующая ошибка: Unknown error. Possible unhandled exception.
Код

[16.07.2014 00:31:37] StockSharp.Logging, Version=4.2.8.0, Culture=neutral, PublicKeyToken=null: System.NotSupportedException: An attempt was made to load an assembly from a network location which would have caused the assembly to be sandboxed in previous versions of the .NET Framework. This release of the .NET Framework does not enable CAS policy by default, so this load may be dangerous. If this load is not intended to sandbox the assembly, please enable the loadFromRemoteSources switch. See ÷ñÒ251493561êÖ0õæ÷http://go.microsoft.com/fwlink/?LinkId=155569÷ñÒ251493561êÖ1õæ÷ for more information.
   at System.Reflection.RuntimeAssembly.nLoadFile(String path, Evidence evidence)
   at System.Reflection.Assembly.LoadFile(String path)
   at CurrentDomain_AssemblyResolve(Object sender, ResolveEventArgs args)


По предложенной ссылке зашел, но ничего не понял, что я могу в данном случае настроить

Теги:


Спасибо: Николай_Флёров




34 Ответов
1 2  >
Mikhail Sukhov

Фотография
Автор статей Программист Трейдер
Дата: 16.07.2014
Ответить


Unblock на архив?
Спасибо: Николай_Флёров

devruss

Фотография
Курсы
Дата: 16.07.2014
Ответить


Михаил Сухов Перейти
Unblock на архив?


Unblock делал. Загрузился только lua скрипт из дистрибутива Гидры
Автор топика
Спасибо: Николай_Флёров

esper

Фотография
Программист
Дата: 16.07.2014
Ответить


devruss Перейти
StockSharp.Logging, Version=4.2.8.0

Проверьте тогда заблокирован ли этот файл или нет.
Спасибо: Николай_Флёров

devruss

Фотография
Курсы
Дата: 16.07.2014
Ответить


esper Перейти
devruss Перейти
StockSharp.Logging, Version=4.2.8.0

Проверьте тогда заблокирован ли этот файл или нет.


Unblocker говорит, что нет. Unlock опции в preferences тоже нет
Автор топика
Спасибо: Николай_Флёров

AngryWolf

Фотография
Дата: 20.07.2014
Ответить


Присоединяюсь к devruss. Как же при загрузке скрипты вылетает Unknown error. Possible unhandled exception.
Спасибо: Николай_Флёров

Mikhail Sukhov

Фотография
Автор статей Программист Трейдер
Дата: 20.07.2014
Ответить


AngryWolf Перейти
Присоединяюсь к devruss. Как же при загрузке скрипты вылетает Unknown error. Possible unhandled exception.


Давайте тогда по шагам. Скачала архив с сайта (какой именно версии). Дальше что делали?

Может быть еще видео запишите. Интернет сейчас даже в холодильнике есть. А хостинг видео на каждом повороте. Так что себя ограничивать текстовыми сообщения?
Спасибо: Николай_Флёров

esper

Фотография
Программист
Дата: 21.07.2014
Ответить


AngryWolf Перейти
Присоединяюсь к devruss. Как же при загрузке скрипты вылетает Unknown error. Possible unhandled exception.


В логе QLua какая ошибка?
Спасибо: Николай_Флёров

AngryWolf

Фотография
Дата: 22.07.2014
Ответить


Извиняюсь за молчание. Были причины. Разобрался, ошибка была в том, что скрипт и библиотеки лежали на сетевом диске. Как только перенёс на локальный - скрипт запустился.
Спасибо: Николай_Флёров

Prival

Фотография
Курсы
Дата: 14.09.2014
Ответить


У меня так и не получается. Записал видео, что и как я делаю
http://youtu.be/ML_dsjP7MY0
Спасибо: Baldey Николай_Флёров

esper

Фотография
Программист
Дата: 14.09.2014
Ответить


Видео не смотрел, что в логах пишется? Runtime установлен?
Спасибо: Николай_Флёров

Prival

Фотография
Курсы
Дата: 14.09.2014
Ответить


Наконецто все получилось. Записал видео как это делал. Надеюсь комуто пригодиться

Спасибо: Mikhail Sukhov semitr d.guryev Николай_Флёров

samtakoy

Фотография
Дата: 16.11.2015
Ответить


Была такая же ошибка.

Как у меня вылечилась: нужно убедится, что полный путь до stocksharp (и соответственно до lua-скрипта) не содержит русских букв. А еще лучше пусть он содержит только недлинные названия без пробелов и левых символов, только из английских букв. И смотрите, чтобы этот путь на всякий случай не был шибко длинным.

Я в итоге создал папку stocksharp на диске C, перенес все туда и после этого заработало.
Спасибо: Николай_Флёров

d.guryev

Фотография
Дата: 14.12.2015
Ответить


Prival Перейти
Наконецто все получилось. Записал видео как это делал. Надеюсь комуто пригодиться



Спасибо!
Спасибо: Николай_Флёров

cheh

Фотография
Дата: 23.12.2015
Ответить


Добрый день!

А у меня не работает. Сделал все по рекомендациям выше и результат одинаковый - просто виснет квик. подскажите пожалуйста, где может быть проблема ...


1111.png 28 KB (6)
Спасибо: Николай_Флёров

cheh

Фотография
Дата: 23.12.2015
Ответить


сделано, надо было еще доступ с диску с: ( там лежала папка ) поставить администраторский :) спасибо за внимание
Спасибо: Николай_Флёров

Threeyes

Фотография
Дата: 07.04.2016
Ответить


Здравствуйте. Столкнулся сейчас с абсолютно такой же проблемой! Пробовал убирать русские буквы в директории, переносил lua скрипт в папку references, но всегда один и тот же результат - эта ошибка. Перед распаковкой архивы анлочил, тоже не помогает.

Подскажите пожалуйста, как это убрать? Сутки промучился, а решения так и не нашел
Спасибо: Николай_Флёров

Slepoy

Фотография
Дата: 07.04.2016
Ответить


Threeyes Перейти
Здравствуйте. Столкнулся сейчас с абсолютно такой же проблемой! Пробовал убирать русские буквы в директории, переносил lua скрипт в папку references, но всегда один и тот же результат - эта ошибка. Перед распаковкой архивы анлочил, тоже не помогает.

Подскажите пожалуйста, как это убрать? Сутки промучился, а решения так и не нашел


Если пытаешься запустить ЛУА-скрипт из версии API 4.3.14.2, то скорей всего там глюк в самом скрипте и ничего не выйдет.
Я только что пытался обновить API до данной версии, и обломался Crying.
Квик выдаёт ошибку при запуске ЛУА-скрипта.
http://i9.pixs.ru/storage/3/5/2/LUAjpg_2199075_21448352.jpg

Пришлось вернуться назад на API 4.3.13 - там всё работает как положено. В общем, попробуй старую версию 4.3.13
Спасибо: Threeyes Николай_Флёров

techno1d

Фотография
Дата: 08.04.2016
Ответить


Slepoy, а это на какой винде?
Заметил странную историю. Библиотека 4.3.14...
На win8 в демо-квике скрипт запускается без проблем. При переносе полностью папки с прогой и с коннектором на другую машину с win7 в таком же демо-квике вылетает такая же ошибка, как и на картинке. Причем со старыми библиотеками скрипт без проблем запускается Cursing
Спасибо: Slepoy Николай_Флёров

Slepoy

Фотография
Дата: 08.04.2016
Ответить


techno1d Перейти
Slepoy, а это на какой винде?
Заметил странную историю. Библиотека 4.3.14...
На win8 в демо-квике скрипт запускается без проблем. При переносе полностью папки с прогой и с коннектором на другую машину с win7 в таком же демо-квике вылетает такая же ошибка, как и на картинке. Причем со старыми библиотеками скрипт без проблем запускается Cursing


Ага, всё верно. Винда 7 - у меня. Чего-то мне не очень хочется переходить на 8 или 10 версии винды.
Мне на ум приходит лишь два варианта: либо разработчики сознательно пошли на такой шаг с лозунгом "новым библиотекам - новая винда", либо просто где-то накосячили )))
Спасибо: Николай_Флёров

Slepoy

Фотография
Дата: 08.04.2016
Ответить


Slepoy Перейти
либо разработчики сознательно пошли на такой шаг с лозунгом "новым библиотекам - новая винда", либо просто где-то накосячили )))

Либо надо какое-нибудь майкросовское обновление/заплатку под Винду 7 поставить. Я уже давно не ставил никаких обновлений. Мне в принципе пофиг, всё равно робот у меня будет пахать на другом компе где будет Винда 10 стоять. А я пока и на старом API поучусь, всё равно пока нифига толком не умею делать.

Спасибо: Николай_Флёров

Zegen

Фотография
Дата: 09.04.2016
Ответить


Такая же ерунда. Если 14ю ставить, то ошибка как в первом посте, анблокк делал. Если 13ю ставить, то вылетает терминал.
Версия квика 7.1.2.2, винда 7.

Подскажите как победить ошибку? Кто то добрался до истины?
Спасибо: Николай_Флёров

Slepoy

Фотография
Дата: 09.04.2016
Ответить


Zegen Перейти
Такая же ерунда. Если 14ю ставить, то ошибка как в первом посте, анблокк делал. Если 13ю ставить, то вылетает терминал.
Версия квика 7.1.2.2, винда 7.Подскажите как победить ошибку? Кто то добрался до истины?


Я думаю в платной техподдержке помогут и победят ))). Денег жалко? Ну тогда парься дальше ))).
Ну вариантов решений проблемы несколько:
1. Обновить Винду до последней версии, или опробовать на чистой текущей, т.е. снести Винду, переустанвить её заного на чистый винт и опробовать;
2. Поставить последюю версию НЕТфрейворка и опробовать;
3. Согласно инструкции для ЛУА, на винду надо поставить "Visual C++ 2013 (необходимо скачать vcredist_x86.exe)".
Возможно она уже обновилась до новой версии, скажем до Visual C++ 2015. Это надо проверить и если так, то обновить;
4. Обратиться в платную техподдежку, а потом отписать тут решение для помощи другим халявщикам )))
Спасибо: Николай_Флёров

devruss

Фотография
Курсы
Дата: 09.04.2016
Ответить


Сколько боли... парни, забудьте этот глючный продукт. Прошел год - создателям полностью насрать на то, что пользователи даже запустить его не могут. Им наплевать на вас - они даже отвечать не хотят.

Честно говоря, забыл данный проект как страшный сон.

Создателям: писать глючный код, который без танцев с бубном даже запустить нельзя, а потом еще и брать деньги за поддержку == помогать запускать свой же глючный код, просто аморально.

Пользователям: этот проект воспитывает терпение постоянно бороться с тоннами багов, глючным кодом и адской архитектурой - как путь к дзену, ок. Но ставить свои деньги под риск - никогда. Пользуйтесь продуктами, которые работают. Алготрейдинг и так сложен достаточно, чтобы еще усложнять себе жизнь кривыми продуктами=)
Автор топика
Спасибо: Николай_Флёров

Slepoy

Фотография
Дата: 09.04.2016
Ответить


Slepoy Перейти
3. Согласно инструкции для ЛУА, на винду надо поставить "Visual C++ 2013 (необходимо скачать vcredist_x86.exe)". Возможно она уже обновилась до новой версии, скажем до Visual C++ 2015. Это надо проверить и если так, то обновить;


Ахахаха. Я сделал это! Короче, действительно обновился "Visual C++ 2013" до "Visual C++ 2015". Качаем отсюда и радуемся ))).
Они видать сейчас библиотеки собирают в ВизуалСтудии 2015 и им пришлось обновить и эту штуку тоже.
В общем всё работает как положено. Короче, я походу оставил техподдержку без бабла Flapper LOL.
Кстати, они в новом API опять выпилили пару методов, опять приходится подстраиваться.
Спасибо: Mikhail Sukhov techno1d inglerok Николай_Флёров

Mikhail Sukhov

Фотография
Автор статей Программист Трейдер
Дата: 09.04.2016
Ответить


devruss Перейти
Пользуйтесь продуктами, которые работают.


Сказал А, скажи и Б.
Спасибо: Николай_Флёров
1 2  >

Добавить файлы через драг-н-дроп, , или вставить из буфера обмена.

loading
clippy